# librerie necessarie
import machine
import utime

# usiamo l'ADC della scheda per prendere la temperatura
sensor_temp = machine.ADC(4)
# fattore di conversione necessario 
conversion_factor = 3.3 / (65535)

# cicliamo all'infinito
while True:

    # leggiamo la temperatura
    reading = sensor_temp.read_u16() * conversion_factor

    # correggiamo assieme al fattore di conversione
    temperature = 27 - (reading - 0.706)/0.001721
    # stampiamo a video
    print(temperature)
    
    # attendiamo due secondi
    utime.sleep(2)